Bug 808690 - xmlrpm doc is out of date
xmlrpm doc is out of date
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Documentation (Show other bugs)
3.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.7.0
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-31 04:50 EDT by Johnny Liu
Modified: 2016-05-26 09:12 EDT (History)
8 users (show)

See Also:
Fixed In Version: tcms 3.7.0-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2012-03-31 04:50:04 EDT
Description of problem:
xmlrpm doc is out of date, some parameters are missing or invalid.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 yawei Li 2012-04-10 23:14:52 EDT
will be resolved on 3.7.0 release.
Comment 2 Xin Gao 2012-04-24 07:51:35 EDT
Verify version 3.7.0-1 on stage -> FAIL

Steps:
1. Enter into doc page,
https://tcms-stage.englab.bne.redhat.com/xmlrpc/#testrun.filter
2. Check methods' parameters.

Actual result:
Actually, still there are some problem,
1. For "is_active" in TestPlan.create(), actually default is 0 but not 1.
2. In TestCase.filter(), TestRun.filter TestPlan.filter, specification of parameter need update.
Comment 3 Xin Gao 2012-05-08 08:11:36 EDT
verify result --> pass

verify version
tcms-3.7.0-2 on stage

verify step
1. Enter into doc page,
https://tcms-stage.englab.bne.redhat.com/xmlrpc/
2. Check methods' parameters.

result
problems have been corrected.

Note You need to log in before you can comment on or make changes to this bug.